// 创建实例时配置默认值
import axios from "axios";
import router from '../router'

const myAxios = axios.create({
    withCredentials:true,
    baseURL: 'http://localhost:9092/api'
    // baseURL: 'http://123.249.108.160:8888/api' //测试服务器
});
// 添加请求拦截器
axios.interceptors.request.use(function (config) {
    // 在发送请求之前做些什么
    return config;
}, function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
});

// 添加响应拦截器
axios.interceptors.response.use(function (response) {
    // 2xx 范围内的状态码都会触发该函数。
    // 对响应数据做点什么
    // 未登录跳转登录页面
    if (response.data.code === 40100) {
        router.replace('/')
    }
    return response.data;
}, function (error) {
    // 超出 2xx 范围的状态码都会触发该函数。
    // 对响应错误做点什么
    return Promise.reject(error);
});
export default myAxios
